OpenGLRaw-1.3.0.0: A raw binding for the OpenGL graphics system

Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Safe Haskell | None

Graphics.Rendering.OpenGL.Raw.NV.Fence

Contents

- Functions
- Tokens

Description

All raw functions and tokens from the NV_fence not already in the OpenGL 3.1 core, see http://www.opengl.org/registry/specs/NV/fence.txt.

Synopsis

- glGenFences :: GLsizei -> Ptr GLuint -> IO ()
- glDeleteFences :: GLsizei -> Ptr GLuint -> IO ()
- glSetFence :: GLuint -> GLenum -> IO ()
- glTestFence :: GLuint -> IO GLboolean
- glFinishFence :: GLuint -> IO ()
- glIsFence :: GLuint -> IO GLboolean
- glGetFenceiv :: GLuint -> GLenum -> Ptr GLint -> IO ()
- gl_ALL_COMPLETED :: GLenum
- gl_FENCE_STATUS :: GLenum
- gl_FENCE_CONDITION :: GLenum

# Functions

glGenFences :: GLsizei -> Ptr GLuint -> IO ()Source

glDeleteFences :: GLsizei -> Ptr GLuint -> IO ()Source

glSetFence :: GLuint -> GLenum -> IO ()Source

glTestFence :: GLuint -> IO GLboolean Source

glFinishFence :: GLuint -> IO ()Source

glIsFence :: GLuint -> IO GLboolean Source

glGetFenceiv :: GLuint -> GLenum -> Ptr GLint -> IO ()Source

# Tokens

gl_ALL_COMPLETED :: GLenum Source

gl_FENCE_STATUS :: GLenum Source

gl_FENCE_CONDITION :: GLenum Source